/*2017-01-11 add by yb
 * describe:物业组织信息管理
 * 
 */
var zTreeObj = null;
var setting = {
	view : {
		dblClickExpand : false,
		showLine : false,
		showIcon: false
	},
	check : {
		enable : true
	},
	data : {
		simpleData : {
			enable : true
		}
	},
	callback : {
	}
};

//初始化项目组织树
function initTree(){
	var companyId=$("#compId").val();  
	var deptId=$("#deptId").val();
	if($.trim(companyId)==""){
		alert("请先添加物业组织.");
		return;
	}
	var contextPath=$("#contextPath").val();
	$.ajax({
		url :contextPath+"/admin/organization/getOrganizationBuildTree",
		type : "POST",
		data : {companyId:companyId,queryType:"2",deptId:deptId},
		dataType:"json",
		success : function(data) {
			$.fn.zTree.init($("#tree"), setting, data);
			zTreeObj=$.fn.zTree.getZTreeObj("tree");
			zTreeObj.expandAll(true);
		},
		error : function(data) {
			// alert("系统繁忙,加载功能树失败..");
		}
	});
}

$(function() {
	//初始化项目树
	initTree();
 	
	//编辑提交
	$("#btn-save").bind("click", function() {
		var name=$("#name").val();
		if($.trim(name)==""){
			alert("部门名称不能为空");
			$("#name").focus();
			return;
		}
		//管辖的组织
		var checkNodes=zTreeObj.getCheckedNodes(true);
		var builds="";
		$.each(checkNodes,function(index,node){
			if(node.level=="2"){
				builds+=node.id+";";
			}
		});
		$("#buildIds").val(builds);
		showBlock();
		$("#conditionform").submit();
	});
});
